diff --git a/README.md b/README.md
index f51cea1..ffbb343 100644
--- a/README.md
+++ b/README.md
@@ -20,7 +20,7 @@ Check out birds from around the world
- [BirdWeather](https://app.birdweather.com)
- [Johannesburg, South Africa](https://joburg.birdnetpi.com)
- [Öringe, Tyresö, Sweden](https://tyreso.birdnetpi.com)
-- [Berowra, New South Wales, Australia](https://berowra.birdnetpi.com)
+- [Berowra, New South Wales, Australia](https://birds.lloydsplace.au/)
- [Dundas, Ontario, Canada](https://dundasontario.birdnetpi.com)
- [Bungendore, New South Wales, Australia](https://bungendorensw.birdnetpi.com)
- [Rivers Bend, Ohio, United States](https://riversbendoh.birdnetpi.com)
diff --git a/newinstaller.sh b/newinstaller.sh
index 4dab014..ddb6462 100755
--- a/newinstaller.sh
+++ b/newinstaller.sh
@@ -5,6 +5,15 @@ if [ "$EUID" == 0 ]
exit
fi
+if [ "$(uname -m)" != "aarch64" ];then
+ echo "BirdNET-Pi requires a 64-bit OS.
+It looks like your operating system is using $(uname -m),
+but would need to be aarch64.
+Please take a look at https://birdnetwiki.pmcgui.xyz for more
+information"
+ exit 1
+fi
+
# Simple new installer
HOME=$HOME
USER=$USER
diff --git a/scripts/server.py b/scripts/server.py
index 7270ff1..2f2fe6b 100755
--- a/scripts/server.py
+++ b/scripts/server.py
@@ -13,6 +13,7 @@ import operator
import socket
import threading
import os
+import gzip
from utils.notifications import sendAppriseNotifications
from utils.parse_settings import config_to_settings
@@ -559,7 +560,9 @@ def handle_client(conn, addr):
with open(args.i, 'rb') as f:
wav_data = f.read()
- response = requests.post(url=soundscape_url, data=wav_data, headers={'Content-Type': 'application/octet-stream'})
+ gzip_wav_data = gzip.compress(wav_data)
+ response = requests.post(url=soundscape_url, data=gzip_wav_data, headers={'Content-Type': 'application/octet-stream',
+ 'Content-Encoding': 'gzip'})
print("Soundscape POST Response Status - ", response.status_code)
sdata = response.json()
soundscape_id = sdata['soundscape']['id']